Quote

Static Info

WSRequest · cmd 10

This API is used to obtain the basic information of securities.

message MultiSecurityRequest {
  repeated string symbol = 1;
}

message SecurityStaticInfoResponse {
  repeated StaticInfo secu_static_info = 1;
}
Quote Permission RequiredFree

Included with OpenAPI activation — no extra purchase needed.

Request parameters

NameTypeRequiredDescription
symbolstring[]RequiredSecurity code list, in ticker.region format; max 500 symbols per request

Response fields

NameTypeRequiredDescription
secu_static_infoobject[]OptionalSecurities Basic Information
└ symbolstringOptionalSecurity code
└ name_cnstringOptionalSecurity name (zh-CN)
└ name_enstringOptionalSecurity name (en)
└ name_hkstringOptionalSecurity name (zh-HK)
└ exchangestringOptionalExchange which the security belongs to
└ currencystringOptionalTrading currency (CNY/USD/SGD/HKD)
└ lot_sizeint32OptionalLot size
└ total_sharesint64OptionalTotal shares
└ circulating_sharesint64OptionalCirculating shares
└ hk_sharesint64OptionalHK shares (only HK stocks)
└ epsstringOptionalEarnings per share
└ eps_ttmstringOptionalEarnings per share (TTM)
└ bpsstringOptionalNet assets per share
└ dividend_yieldstringOptionalDividend yield
└ stock_derivativesint32[]OptionalTypes of supported derivatives (1-Option, 2-Warrant)
└ boardstringOptionalThe board to which the security belongs

Response JSON example

{
  "secu_static_info": [
    {
      "symbol": "700.HK",
      "name_cn": "腾讯控股",
      "name_en": "TENCENT",
      "exchange": "SEHK",
      "currency": "HKD",
      "lot_size": 100,
      "total_shares": 9612464038,
      "eps": "28.4394",
      "board": "HKEquity"
    }
  ]
}